Microchip Snap not always connecting to AtmelStudio

Go To Last Post
5 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hi folks

 

I'm trying to get Microchip SNAP work properly on the latest version of Atmel Studio (2389), which seem to provide support for it.

After updating the firmware using a dedicated laptop with MPLLAB, I get it to work on my home computer right after installing the newest version with the controllers I need.

On the worklaptop and private laptop tho, it still connects but does not show any possible device / target in the "Device Programming" window.

 

What is the issue that I might have missed there? All three plattforms don't have the latest MPLAB X version (which I noticed does conflicts with Atmel Studio) and run the newest version of Windows 10 Pro.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

gfcwfzkm wrote:
What is the issue that I might have missed there?
MPLAB Snap might be hidden or there's a USB driver mis-match (WinUSB vs Atmel Studio)

gfcwfzkm wrote:
... and run the newest version of Windows 10 Pro.
IIRC, there are recent posts here that may show a WinUSB issue; might consider rolling back the most recent Windows 10 update or recovering Windows 10.

Windows 10 updates have decreased in quality; recommend deferring Windows 10 updates for up to nearly one month.

 


https://www.avrfreaks.net/forum/as702389-pickit4-and-snap-support#comment-2769871

How do I get my Tool to be recognized by Atmel Studio? | Atmel Studio 7

https://www.avrfreaks.net/forum/another-win10-rant-frustration-part-2?page=2#comment-2467891

 

"Dare to be naïve." - Buckminster Fuller

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

AS7.0->Options->Tools:Hide unsupported devices = False

 

Should work with most AVRs.

You need a hardware mod for Xmega PDI.

 

David.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Setting "Hide unsupported devices" to False is an ok workaround, but you will get updated device support for SNAP by installing the latest DFPs.

 

Atmel.ATtiny_DFP 1.4.283 and Atmel.ATmega_DFP 1.4.331 from http://packs.download.atmel.com/.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I can confirm turning david.prentice's suggested setting work. It's quite possible since there aren't the newest DFPs installed, but I have to wait until later to confirm that (worklaptop being obviousely at work).